Loading...
Searching...
No Matches
Opm::RSTConv Class Reference

Class computing RPTRST CONV output. More...

`#include <RSTConv.hpp>`

## Public Types

using | LocalToGlobalCellFunc = std::function<int(const int)>

## Public Member Functions

| RSTConv (LocalToGlobalCellFunc globalCell, Parallel::Communication comm)
| Constructor.
void | init (const std::size_t numCells, const RSTConfig &rst_config, const std::array< int, 6 > &compIdx)
| Init state at beginning of step.
void | outputRestart (data::Solution &sol)
| Inserts the CONV output into the restart output container.
template<class ResidualVector>
void | update (const ResidualVector &resid)
| Adds the CONV output for given residual vector.
void | updateNewton (const std::vector< int > &convNewt)
| Adds the CONV_NEW output.
const std::vector< std::vector< int > > & | getData () const
| Obtain a const-ref to the accumulated data (only used for unit testing).
const std::vector< int > & | getConvNew () const
| Obtain a const-ref to the CONV_NEW (only used for unit testing).
bool | hasConv () const
| Check if CONV is required.
void | prepareConv ()
| CONV_NEW is restarted at iteration 0.

## Detailed Description

Class computing RPTRST CONV output.

## Constructor & Destructor Documentation

## RSTConv()

Opm::RSTConv::RSTConv | ( | LocalToGlobalCellFunc | globalCell,
|  | Parallel::Communication | comm )

inline

Constructor.

Parameters

  globalCell | Mapping from local to global cell indices
  comm | Parallel communicator

## Member Function Documentation

## init()

void Opm::RSTConv::init | ( | const std::size_t | numCells,
|  | const RSTConfig & | rst_config,
|  | const std::array< int, 6 > & | compIdx )

Init state at beginning of step.

Parameters

  numCells | Global number of active cells in the model
  rst_config | RPTRST configuration
  compIdx | Component index for phases {OIL, GAS, WAT, POLYMER, BRINE, SOLVENT}, negative if inactive

The documentation for this class was generated from the following files:

- opm/simulators/flow/RSTConv.hpp
- opm/simulators/flow/RSTConv.cpp